Subject: Well supported DSA switches, support for Marvell 88e6065 switch

From: Pavel Machek <[email-masked]>
Date: Thu, 6 Dec 2018 14:00:51 +0100

Hi!

> I'm trying to create support for Marvell 88e6065 switch... and it
> seems like drivers/net/dsa supports everything, but this model.

I have something that works, but is far from suitable for
mainline. Few parts are good, those will be marked PATCH, rest will be
RFD. I'm not sure how much work I'll be able to put into them in
future, so here they go.

Is there well supported switch, preferably with public documentation?
Does not have to be Marvell... Three ports could be enough, and
100MBit is enough for our use. We need RSTP, and are using two VLANs... 

AFAICT 88e6176 should be quite safe choice (as it is used by Turris
Omnia), but it has more ports than we need, and supports gigabit --
that means expensive. It also lacks public documentation AFAICT :-(.

Patches are relavite to v4.19.

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html